### Method

# GLib Cache remove

deprecated: 2.32

#### Declaration [src]

    void
    g_cache_remove (
      GCache* cache,
      gconstpointer value
    )

#### Description [src]

Decreases the reference count of the given value. If it drops to 0 then the value and its corresponding key are destroyed, using the `value_destroy_func` and `key_destroy_func` passed to g_cache_new().

Deprecated since: 2.32

Use a `GHashTable` instead.

#### Parameters

`value`

  Type: `gconstpointer`

  The value to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the method.